package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "FaultDetails",
   propOrder = {"errorCode", "extendedDetails"}
)
public class FaultDetails {
   @XmlElement(
      name = "ErrorCode",
      required = true
   )
   protected String errorCode;
   @XmlElement(
      name = "ExtendedDetails",
      required = true
   )
   protected String extendedDetails;

   public String getErrorCode() {
      return this.errorCode;
   }

   public void setErrorCode(String value) {
      this.errorCode = value;
   }

   public String getExtendedDetails() {
      return this.extendedDetails;
   }

   public void setExtendedDetails(String value) {
      this.extendedDetails = value;
   }
}
